import { ApiBase } from '../Implementation/ApiBase';
import { AdaptableQLModule } from '../../AdaptableState/Common/Types';
import { AdaptableField, AdaptableObject, AdaptablePredicate } from '../../types';
export declare class ExpressionInternalApi extends ApiBase {
    /**
     * Checks if a column is referenced in a given Expression
     * @param columnId Column to Check
     * @param expression Expression to Lookup
     */
    isColumnReferencedInExpression(columnId: string, expression: string): boolean;
    evaluateExpressionInAdaptableQL(module: AdaptableQLModule, object?: AdaptableObject, expression?: string): boolean;
    evaluatePredicatesInAdaptableQL(module: AdaptableQLModule, object?: AdaptableObject, predicates?: AdaptablePredicate[]): boolean;
    private getFieldsFromOptions;
    getAvailableFields(data?: Record<string, any>): AdaptableField[];
    getFieldType(field: string): AdaptableField['dataType'];
    getFieldsOfType(type?: AdaptableField['dataType']): AdaptableField[];
}
